# Input Options

-pre preText | Text to be passed to DECtalk Software before the normal input. The prefix text is "forced" out before the input text is read.
-post postText | Text to be passed to DECtalk Software after the normal input. This is useful for passing terminating commands to DECtalk Software that would normally not be part of the input. If the postfix text has spaces, it must be enclosed in quotes. An example would be "[:phoneme off]" or "The End". The "normal" input is "forced" out before the postfix text is read.
text | Text appearing on the command line is spoken. The text to be spoken can come either from the standard input or from the command line. Anything on the command line that is not an option is interpreted as text, as will anything following it on the command line. In other words, text to be spoken must appear on the command line after all options. If the *first* word in the text has a dash (-) or slash (/) as its first character, you must precede it with another dash or slash. For example, to tell DECtalk to say the number -123, you would type the following command: SAY --123 This is necessary to avoid having Say interpret the number as a command line option. If you embed DECtalk commands into your text, you must enclose them in quotes if they contain spaces. This is because Say treats each space-delimited command-line argument as a separate "word", while DECtalk commands must be processed as single "words" by the Say program. If no text is specified, Say takes its input from the standard input. For example, you could have Say speak a directory listing in Betty's voice by typing the following: DIR | SAY -pre "[:nb]" Or you could just type the command Say and then enter text at the console. In this case, Say speaks each line after you press Enter and exits after you press Ctrl/z. If you want Say to take its input from a file, use file redirection as in the following example, which reads the file foo.txt in Harry's voice: SAY -pre "[:nh]" < FOO.TXT